#! /bin/sh
exitstat=0

# The following if/fi block gives you flexibility in choosing the pathname
# for make(1).
if
	test "$1" != ""		# the make pathaname was passed as an argument
then
	MAKE="$1" ; export MAKE	# so use the pathname
	if
		test ! -x "$MAKE" # if the pathname is wrong, stop right now
	then
		echo "$MAKE does not exist as an executable file."
		exit 2
	fi
elif
	test ! -z "$MAKE"		# otherwise, check for environment variable
then
	if
		test ! -x "$MAKE"	# if the pathname is wrong, stop right now
	then
		echo "You have MAKE defined as an environment variable, but"
		echo "it does not exist as an executable file."
		exit 2
	fi
else
	MAKE=make ; export MAKE	# no variable, so let the user's path decide
fi

echo "Checking for F substitution" > filedir.log
if
	$MAKE -f filedir.mk 2>/dev/null | grep file > filedir.log 2>&1
then
	true
else
	exitstat=1
fi

echo "Checking for D substitution" > filedir.log
if
	$MAKE -f filedir.mk 2>/dev/null | grep directory > filedir.log 2>&1
then
	true
else
	exitstat=1
fi
if
	test $exitstat = 0
then
	echo 'This version of make supports F and D substitution'
else
	echo 'This version of make does not support F and D substitution'
fi

rm -f filedir.log

exit $exitstat
