# You might have to change the command under "recurs" to start with "make"
# instead of "${MAKE}" -- see the comment there.

echo :
	echo ${SHELL}

# The make command appears as ${MAKE} here so that you can pass the pathname
# for the desired make utility to the .sh script, and it will be passed down
# here.  In other words, I don't want to hard-code the word "make" as the make
# utility.  Unfortunately, not all versions of "make" recognize the ${MAKE}
# macro (that feature is tested by the MAKE_macro.sh script in this
# directory).  The symptom of that problem here is that you'll get an error
# from the shell because it's trying to load "-f" as a command.  Just change
# "${MAKE}" to "make" and run the script again.
recurs :
	${MAKE} -f shell.mk cshell SHELL=/bin/csh

cshell :
	echo ${SHELL}
	if ( -f shell.mk ) then ; echo cshell ; endif

bourneshell :
	echo ${SHELL}
	if [ -f shell.mk ] ; then echo bourneshell ; fi
